Bug 136374 - msgbox function in dialog adding addional blank lines
msgbox function in dialog adding addional blank lines
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dialog (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-19 12:18 EDT by Rob Landry
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: dialog-1.0-20040731-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 16:29:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
suggested patch (1.53 KB, patch)
2004-10-19 12:20 EDT, Rob Landry
no flags Details | Diff
hides percent when not needed (749 bytes, patch)
2004-10-19 17:02 EDT, Rob Landry
no flags Details | Diff

  None (edit)
Description Rob Landry 2004-10-19 12:18:12 EDT
Description of problem:

adds blank lines to msgbox preventing proper formating.

Version-Release number of selected component (if applicable):

dialog-1.0.20040731

How reproducible:

every time.

Steps to Reproduce:

run any msgbox sample; notice the blank line at the top; or...

dialog --msgbox
"jfkdl;asjasklfjdaskl;fjklads;jdfiqwueriopquwiroeqwfl;jaskf;ljaskldfjasdkf;ajdkl;afjdkasl;fjkdl;asjfkdl;asjfkd;asjkf;jdasklf;jaskl;fjkdlas;jfkl;asdjfkljasdl;fjdakl;fjkdlas"
10 20

...will cause it; you will notice the text does not start at the top
nor does it reach the bottom.

 
Actual results:

extra new lines you didn't specify; adding them simply causes 2.

Expected results:

no extra lines; only the text as put in.

Additional info:
Comment 2 Rob Landry 2004-10-19 12:20:47 EDT
Created attachment 105452 [details]
suggested patch

appears to fix the issue for me; also resolves the extra trailing spaces
problems
Comment 3 Harald Hoyer 2004-10-19 16:29:59 EDT
patch applied in dialog-1.0-20040731-2
Comment 4 Rob Landry 2004-10-19 17:01:08 EDT
thanks, unfortunately I couldn't find the .i386 version so I just
grabbed the .src rpm and rebuilt it local (though x86_64, ppc, ppc64,
ia64, etc. all appeared to be there).  Unfortunately I noticed a bad
side effect of my patch :(  It now always prints the percent even when
the text fits.  I'll attach a patch that corrects that in just a bit.
 Having the percent isn't catostrophic it's just cleaner not to have
it where it's not needed.  I also noticed --textbox puts ()'s not
spaces around the percent as I added, though it's otherwise completely
different code.
Comment 5 Rob Landry 2004-10-19 17:02:29 EDT
Created attachment 105465 [details]
hides percent when not needed

corrects condition where the percert is always displayed even though the text
fit
Comment 6 Harald Hoyer 2004-10-20 09:13:42 EDT
patch applied in dialog-1.0-20040731-3

Note You need to log in before you can comment on or make changes to this bug.